Source: libsub-current-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9.20120312~),
               perl,
               libtest-pod-perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libsub-current-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libsub-current-perl.git
Homepage: https://metacpan.org/release/Sub-Current

Package: libsub-current-perl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Perl module to determine the executing subroutine
 Sub::Current provides a fairly magical function called ROUTINE() which returns
 a code reference pointing at the currently executing subroutine. It does not
 make sense to use this inside a special block (such as BEGIN, END, UNITCHECK,
 CHECK or INIT) or at the top level of a program, so ROUTINE will return undef.
